<div [ngClass]="[jds.mt(40), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.mb(25)]">
      <app-breadcrumb [breadcrumb]="breadcrumb" />
    </div>

    <app-detail-dataset-header-v2
      [accessCoreDataInput]="accessBigData"
      [accessInfoCoreDataInput]="accessinfoBigData"
    />

    <app-detail-dataset-description-v2 />

    <section [ngClass]="[jds.mb(20)]">
      <ng-container *ngIf="loadingAccess">
        <div
          class="wrapper-skeleton"
          *ngFor="let number of [100, 100]"
        >
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '10px'
            }"
          />
        </div>
      </ng-container>

      <ng-container *ngIf="!loadingAccess">
        <ng-container *ngIf="accessBigData">
          <nav [ngClass]="[jds.nav, jds.navPills, className.navPills]">
            <a
              [ngClass]="[jds.navLink, className.navLink]"
              [class.active]="filter.preview === 'table'"
              (click)="filterPreview('table')"
              href="javascript: void(0);"
            >
              Tabel
            </a>
            <a
              *ngIf="!isRealtime"
              [ngClass]="[jds.navLink, className.navLink]"
              [class.active]="filter.preview === 'graph'"
              (click)="filterPreview('graph')"
              href="javascript: void(0);"
            >
              Grafik
            </a>
            <a
              *ngIf="!isRealtime"
              [ngClass]="[jds.navLink, className.navLink]"
              [class.active]="filter.preview === 'map'"
              (click)="filterPreview('map')"
              href="javascript: void(0);"
            >
              Peta
            </a>
          </nav>

          <ng-container *ngIf="filter.preview === 'table'">
            <app-detail-dataset-preview-table-v2 />
          </ng-container>

          <ng-container *ngIf="filter.preview === 'graph' && !isRealtime">
            <app-detail-dataset-preview-graph />
          </ng-container>

          <ng-container *ngIf="filter.preview === 'map' && !isRealtime">
            <app-detail-dataset-preview-map />
          </ng-container>
        </ng-container>

        <ng-container
          *ngIf="!accessBigData && accessinfoBigData === 'can_access'"
        >
          <div [ngClass]="[jds.alert, jds.alertDanger]">
            <div [ngClass]="[jds.d('flex')]">
              <div [ngClass]="[jds.alertIcon]">
                <jds-bi-icon
                  [ngClass]="jds.me(16)"
                  name="user-lock"
                />
              </div>
              <div>
                Untuk melihat dataset ini dibutuhkan izin akses khusus.
                <br />
                Silakan hubungi Walidata melalui nomor Whatsapp ({{ whatsapp }})
                atau email (data&#64;jabarprov.go.id) untuk mendapatkan akses.
              </div>
            </div>
          </div>
        </ng-container>

        <ng-container *ngIf="!accessBigData && accessinfoBigData === 'app'">
          <div [ngClass]="[jds.alert, jds.alertDanger]">
            <div [ngClass]="[jds.d('flex')]">
              <div [ngClass]="[jds.alertIcon]">
                <jds-bi-icon
                  [ngClass]="jds.me(16)"
                  name="ban"
                />
              </div>
              <div>Sumber Data tidak ditemukan.</div>
            </div>
          </div>
        </ng-container>

        <ng-container
          *ngIf="!accessBigData && accessinfoBigData === 'app_service'"
        >
          <div [ngClass]="[jds.alert, jds.alertDanger]">
            <div [ngClass]="[jds.d('flex')]">
              <div [ngClass]="[jds.alertIcon]">
                <jds-bi-icon
                  [ngClass]="jds.me(16)"
                  name="ban"
                />
              </div>
              <div>Table Data tidak ditemukan.</div>
            </div>
          </div>
        </ng-container>

        <ng-container
          *ngIf="!accessBigData && accessinfoBigData === 'not_found'"
        >
          <div [ngClass]="[jds.alert, jds.alertDanger]">
            <div [ngClass]="[jds.alertIcon]">
              <jds-bi-icon
                [ngClass]="jds.me(16)"
                name="ban"
              />
            </div>
            <div>Data tidak ditemukan.</div>
          </div>
        </ng-container>
      </ng-container>
    </section>

    <app-detail-dataset-draft-action />
    <app-detail-dataset-discontinue-action />
  </div>
</div>
